Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.document
Class RtfInfoGroup

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.document.RtfInfoGroup

All Implemented Interfaces:
  RtfBasicElement

    public class RtfInfoGroup

extends RtfElement

The RtfInfoGroup stores information group elements.

Version:
  $Id: RtfInfoGroup.java 2996 2007-11-20 22:40:36Z hallm $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Thomas Bickel (tmb99@inode.at)

Field Summary
`private static byte[]` | `INFO_GROUP` Information group starting tag
`(package private) ArrayList` | `infoElements` The RtfInfoElements that belong to this RtfInfoGroup

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfInfoGroup(RtfDocument doc)` Constructs a RtfInfoGroup belonging to a RtfDocument

Method Summary
`void` | `add(RtfInfoElement infoElement)` Adds an RtfInfoElement to the RtfInfoGroup
`byte[]` | `write()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0
`void` | `writeContent(OutputStream result)` Writes the element content to the given output stream.

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INFO_GROUP

    private static final byte[] INFO_GROUP

  Information group starting tag

### infoElements

    ArrayList infoElements

  The RtfInfoElements that belong to this RtfInfoGroup

Constructor Detail

### RtfInfoGroup

    public RtfInfoGroup(RtfDocument doc)

  Constructs a RtfInfoGroup belonging to a RtfDocument

  Parameters:
    `doc` - The RtfDocument this RtfInfoGroup belongs to

Method Detail

### add

    public void add(RtfInfoElement infoElement)

  Adds an RtfInfoElement to the RtfInfoGroup

  Parameters:
    `infoElement` - The RtfInfoElement to add

### write

    public byte[] write()

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0

  Writes the RtfInfoGroup and its RtfInfoElement elements.

  Specified by:
    `write` in interface `RtfBasicElement`
  Specified by:
    `write` in class `RtfElement`
  Returns:
    A byte array containing the group and its elements

### writeContent

    public void writeContent(OutputStream result)
                      throws IOException

  Writes the element content to the given output stream.

  Specified by:
    `writeContent` in interface `RtfBasicElement`
  Overrides:
    `writeContent` in class `RtfElement`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD